Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# TCPHandler Class Reference

`#include <TCPHandler.h>`

Inheritance diagram for TCPHandler:

[legend]
Collaboration diagram for TCPHandler:

[legend]
List of all members.

## Public Member Functions
| TCPHandler ()
| TCPHandler (NetSenderBase &theSender, NetReceiverBase &theReceiver)
void | setTransmitters (NetSenderBase &theSender, NetReceiverBase &theReceiver)
virtual void | onReceive (void *someData, int size)
virtual void | onConnect (void)
virtual void | onClose (int reason)
virtual void | onSendingDone (void)
virtual void | sendPackage (int senderNumber, void *someData, int size)
## Private Attributes
NetReceiverBase * | receiver
NetSenderBase * | sender
void * | receiveBuffer
int | sizeOfDataToRead
bool | sendingDone

## Constructor & Destructor Documentation

TCPHandler::TCPHandler | ( |  | ) | `[inline]`

| Definition at line 22 of file TCPHandler.h.

TCPHandler::TCPHandler | ( | NetSenderBase & | theSender,
|  | NetReceiverBase & | theReceiver
| ) |

| Definition at line 31 of file TCPHandler.cpp. References NetReceiverBase::getPackage(), NetSenderBase::getPackage(), sender, sendingDone, NetSenderBase::setHandler(), and sizeOfDataToRead.

Here is the call graph for this function:

## Member Function Documentation

void TCPHandler::setTransmitters | ( | NetSenderBase & | theSender,
|  | NetReceiverBase & | theReceiver
| ) |

| Definition at line 45 of file TCPHandler.cpp. References sender, and NetSenderBase::setHandler().

Here is the call graph for this function:

void TCPHandler::onReceive | ( | void * | someData,
|  | int | size
| ) | `[virtual]`

| Reimplemented from TCPEndpoint. Definition at line 52 of file TCPHandler.cpp. References ASSERT, NetReceiverBase::getPackage(), NetReceiverBase::onReceive(), and sizeOfDataToRead.

Here is the call graph for this function:

void TCPHandler::onConnect | ( | void |  | ) | `[virtual]`

| Reimplemented from TCPEndpoint. Definition at line 118 of file TCPHandler.cpp. References NetSenderBase::sendDone(), sender, sendingDone, and sizeOfDataToRead.

Here is the call graph for this function:

void TCPHandler::onClose | ( | int | reason | ) | `[virtual]`

| Reimplemented from TCPEndpoint. Definition at line 126 of file TCPHandler.cpp.

void TCPHandler::onSendingDone | ( | void |  | ) | `[virtual]`

| Reimplemented from TCPEndpoint. Definition at line 132 of file TCPHandler.cpp. References NetSenderBase::sendDone(), sender, and sendingDone.

Here is the call graph for this function:

void TCPHandler::sendPackage | ( | int | senderNumber,
|  | void * | someData,
|  | int | size
| ) | `[virtual]`

| Reimplemented from NetHandler. Definition at line 138 of file TCPHandler.cpp. References TCPEndpoint::send(), and sendingDone.

Here is the call graph for this function:

## Member Data Documentation

NetReceiverBase* TCPHandler::receiver`[private]`

| Definition at line 32 of file TCPHandler.h.

NetSenderBase* TCPHandler::sender`[private]`

| Definition at line 33 of file TCPHandler.h. Referenced by onConnect(), onSendingDone(), setTransmitters(), and TCPHandler().

void* TCPHandler::receiveBuffer`[private]`

| Reimplemented from IPEndpoint. Definition at line 35 of file TCPHandler.h.

int TCPHandler::sizeOfDataToRead`[private]`

| Definition at line 36 of file TCPHandler.h. Referenced by onConnect(), onReceive(), and TCPHandler().

bool TCPHandler::sendingDone`[private]`

| Definition at line 37 of file TCPHandler.h. Referenced by onConnect(), onSendingDone(), sendPackage(), and TCPHandler().

The documentation for this class was generated from the following files:

- Platform/Aperios1.3.2/TCPHandler.h
- Platform/Aperios1.3.2/TCPHandler.cpp